Advisory Details

August 27th, 2014

CSWorks Software Framework SQL Injection Remote Code Execution Vulnerability

ZDI-14-298
ZDI-CAN-2191

CVE ID CVE-2014-2351
CVSS SCORE 7.5, (AV:N/AC:L/Au:N/C:P/I:P/A:P)
AFFECTED VENDORS CSWorks
AFFECTED PRODUCTS CSWorks
VULNERABILITY DETAILS


This vulnerability allows remote attackers to execute arbitrary code on vulnerable installations of CSWorks. Authentication is not required to exploit this vulnerability.

The specific flaw exists within the data source templating. CSWorks does not properly sanitize or validate the data used to construct read and write paths which can lead to SQL injection. An attacker may be able to leverage this vulnerability to achieve remote code execution.

ADDITIONAL DETAILS CSWorks has issued an update to correct this vulnerability. More details can be found at:
https://ics-cert.us-cert.gov/advisories/ICSA-14-135-01
DISCLOSURE TIMELINE
  • 2014-04-23 - Vulnerability reported to vendor
  • 2014-08-27 - Coordinated public release of advisory
CREDIT John Leitch
BACK TO ADVISORIES